Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class OlapDataSourceValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.ReportDataSourceValidator
          com.jaspersoft.jasperserver.war.validation.OlapDataSourceValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class OlapDataSourceValidator

extends ReportDataSourceValidator
implements org.springframework.validation.Validator

OlapDataSourceValidator provides validation methods for the olapDataSourceFlow

Author:
  jshih

Constructor Summary
`OlapDataSourceValidator()`

Method Summary
`void` | `chooseType(OlapDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `jdbcPropsForm(OlapDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `jndiPropsForm(OlapDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `namingForm(OlapDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object arg0, org.springframework.validation.Errors arg1)`
`void` | `validateSource(OlapDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`

Methods inherited from class com.jaspersoft.jasperserver.war.validation.ReportDataSourceValidator
`beanPropsForm, customPropsForm, getCustomDataSourceFactory, getRepository, jdbcPropsForm, jndiPropsForm, namingForm, setCustomDataSourceFactory, setRepository, validateSource, validateType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapDataSourceValidator

    public OlapDataSourceValidator()

Method Detail

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`
  Overrides:
    `supports` in class `ReportDataSourceValidator`

### validate

    public void validate(java.lang.Object arg0,
                         org.springframework.validation.Errors arg1)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`
  Overrides:
    `validate` in class `ReportDataSourceValidator`

### chooseType

    public void chooseType(OlapDataSourceWrapper wrapper,
                           org.springframework.validation.Errors errors)

### jndiPropsForm

    public void jndiPropsForm(OlapDataSourceWrapper wrapper,
                              org.springframework.validation.Errors errors)

### namingForm

    public void namingForm(OlapDataSourceWrapper wrapper,
                           org.springframework.validation.Errors errors)

### jdbcPropsForm

    public void jdbcPropsForm(OlapDataSourceWrapper wrapper,
                              org.springframework.validation.Errors errors)

### validateSource

    public void validateSource(OlapDataSourceWrapper wrapper,
                               org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.